let g:loaded_python_provider = 0
let g:loaded_ruby_provider = 0
let g:loaded_node_provider = 0
let g:loaded_gzip = 1
let g:loaded_tarPlugin = 1
let g:loaded_zipPlugin = 1
let g:loaded_2html_plugin = 1

if filereadable('bin/python3')
    let g:python3_host_prog = '/bin/python3'
endif

if executable('rg')
    set grepprg=rg\ --vimgrep
    set grepformat=%f:%l:%c:%m
else
    set grepprg=grep\ -R\ -n\ --exclude-dir=.git,.cache
endif

if empty(glob('~/.local/share/nvim/site/autoload/plug.vim'))
    silent !curl -fLo ~/.local/share/nvim/site/autoload/plug.vim --create-dirs
        \ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
    aug Plugins
        au!
        au VimEnter * PlugInstall --sync | call coc#util#install() | source $MYVIMRC
    aug END
endif

if has('nvim')
  let $GIT_EDITOR = 'nvr -cc split --remote-wait'
endif

let mapleader="\<SPACE>"
let maplocalleader=','

if exists('$DISPLAY')
    set termguicolors
    let g:srcery_transparent_background = 1
    let g:srcery_italic = 1
    let g:srcery_inverse_matches = 1
    let g:srcery_underline = 1
    let g:srcery_undercurl = 1
endif
aug Colores
    au!
    au ColorScheme * call dead#colores#Barra()
    au ColorScheme * call dead#colores#Maquillaje()
aug END
let g:srcery_underline_match_paren = 1
colorscheme srcery

set tabline=%!dead#tabline#Tabline()

if filereadable(expand('~/.local/share/nvim/site/autoload/plug.vim'))
    call plug#begin(stdpath('data') . '/plugged')
    Plug 'lervag/vimtex', {'for': 'latex'}
    Plug 'neoclide/coc.nvim', {'branch': 'release', 'for': ['javascript', 'html', 'css', 'json', 'jsonc', 'sh', 'vim']}
    Plug 'fatih/vim-go', {'for': 'go', 'do': ':GoInstallBinaries'}
    Plug 'tpope/vim-fugitive'
    Plug 'airblade/vim-gitgutter'
    Plug 'junegunn/fzf.vim'
    call plug#end()
endif
